# StandardSQLHelper

class StandardSQLHelper (context: Context , name: String , factory: SQLiteDatabase.CursorFactory ? = null, version: Int = 1, errorHandler: DatabaseErrorHandler ? = null, useSharedPreferencesForVersions: Boolean = false)(source)

## Constructors

StandardSQLHelper
Link copied to clipboard
constructor(context: Context , name: String , factory: SQLiteDatabase.CursorFactory ? = null, version: Int = 1, errorHandler: DatabaseErrorHandler ? = null, useSharedPreferencesForVersions: Boolean = false)

## Properties

sqlOpenHelper
Link copied to clipboard
val sqlOpenHelper : SQLiteOpenHelper
versionsRepo
Link copied to clipboard
val versionsRepo : VersionsRepo < SQLiteOpenHelper >

## Functions

blockingReadableTransaction
Link copied to clipboard
fun < T > StandardSQLHelper . blockingReadableTransaction (block: SQLiteDatabase .() -> T ): T
blockingWritableTransaction
Link copied to clipboard
fun < T > StandardSQLHelper . blockingWritableTransaction (block: SQLiteDatabase .() -> T ): T
readableTransaction
Link copied to clipboard
suspend fun < T > readableTransaction (block: suspend SQLiteDatabase .() -> T ): T
writableTransaction
Link copied to clipboard
suspend fun < T > writableTransaction (block: suspend SQLiteDatabase .() -> T ): T